function ReagentData_LoadGerman()

REAGENTDATA = "ReagenzData";
REAGENTDATA_LOADED = "geladen";

-------------------------------
-- Reagent Data: Data Tables --
-------------------------------
 
-----------------
-- Basic Items --
-----------------

-- Reagent Data: Alchemy Fish
ReagentData["alchemyfish"] = {
            ["stonescaleeel"] = "Steinschuppenaal",
            ["firefinsnapper"] = "Feuerflossenschnapper",
            ["oilyblackmouth"] = "\195\150liges Schwarzmaul",
};

-- Reagent Data: Bandages
ReagentData["bandage"] = {
            ["linen"] = "Leinenverband",
            ["heavylinen"] = "Schwerer Leinenverband",
            ["wool"] = "Wollverband",
            ["heavywool"] = "Schwerer Wollverband",
            ["silk"] = "Seidenverband",
            ["heavysilk"] = "Schwerer Seidenverband",
            ["mageweave"] = "Magiestoffverband",
            ["heavymageweave"] = "Schwerer Magiestoffverband",
            ["runecloth"] = "Runenstoffverband",
            ["heavyrunecloth"] = "Schwerer Runenstoffverband",
            ["netherweave"] = "Netherstoffverband",
            ["heavynetherweave"] = "Schwerer Netherstoffverband",
            ["antivenom"] = "Gegengift",
            ["strongantivenom"] = "Starkes Gegengift",
            ["powerfulantivenom"] = "M\195\164chtiges Gegengift",
};

-- Reagent Data: Bar
ReagentData["bar"] = {
            ["tin"] = "Zinnbarren",
            ["copper"] = "Kupferbarren",
            ["iron"] = "Eisenbarren",
            ["truesilver"] = "Echtsilberbarren",
            ["bronze"] = "Bronzebarren",
            ["silver"] = "Silberbarren",
            ["darkiron"] = "Dunkeleisenbarren",
            ["gold"] = "Goldbarren",
            ["mithril"] = "Mithrilbarren",
            ["steel"] = "Stahlbarren",
            ["enchantedthorium"] = "Verzauberter Thoriumbarren",
            ["thorium"] = "Thoriumbarren",
            ["arcanite"] = "Arkanitbarren",
			["feliron"] = "Teufelseisenbarren",
			["elementium"] = "Elementiumbarren",
			["adamantite"] = "Adamantitbarren",
			["eternium"] = "Eterniumbarren",
			["felsteel"] = "Teufelsstahlbarren",
			["khorium"] = "Khoriumbarren",
			["hardenedadamantite"] = "Geh\195\164rteter Adamantitbarren",
};
 
-- Reagent Data: Cloth
ReagentData["cloth"] = {
            ["wool"] = "Wollstoff",
            ["mageweave"] = "Magiestoff",
            ["moon"] = "Mondstoff",
            ["rune"] = "Runenstoff",
            ["silk"] = "Seidenstoff",
            ["fel"] = "Teufelsstoff",
            ["linen"] = "Leinenstoff",
			["netherweave"] = "Netherstoff",
			["spell"] = "Zauberstoff",
			["primalmoon"] = "Urmondstoff",
			["shadow"] = "Schattenstoff",
};
 
-- Reagent Data: Cooking Fish
ReagentData["cookingfish"] = {
            ["rawmithrilheadtrout"] = "Rohe Mithrilkopfforelle",
            ["rawnightfinsnapper"] = "Roher Nachtflossenschnapper",
            ["rawsunscalesalmon"] = "Roher Sonnenschuppenlachs",
            ["rawrainbowfinalbacore"] = "Roher Regenbogenflossenthunfisch",
            ["rawrockscalecod"] = "Roher Steinschuppenkabeljau",
            ["rawbristlewhiskercat"] = "Roher Stoppelf\195\188hlerwels",
            ["deviate"] = "Deviatfisch",
            ["rawslitherskinmackerel"] = "Rohe Glitschhautmakrele",
            ["rawwhitescalesalmon"] = "Roher Wei\195\159schuppenlachs",
            ["rawredgill"] = "Roher Rotkiemen",
            ["rawlochfrenzy"] = "Roher Loch Frenzy",
            ["darkclawlobster"] = "Dunkelklauenhummer",
            ["rawlongjawmudsnapper"] = "Roher Langzahniger Matschschnapper",
            ["largerawmightfish"] = "Gro\195\159er roher Machtfisch",
            ["rawbrilliantsmall"] = "Roher gl\195\164nzender Kleinfisch",
            ["rawsummerbass"] = "Roher Sommerbarsch",
            ["rawglossymightfish"] = "Roher gl\195\164nzender Machtfisch",
            ["rawspottedyellowtail"] = "Roher T\195\188pfelgelbschwanz",
            ["wintersquid"] = "Winterkalmar",
            ["rawsagefish"] = "Roher Weisenfisch",
            ["rawgreatersagefish"] = "Roher gro\195\159er Weisenfisch",
			["barbedgilltrout"] = "Riesige Stachelkiemenforelle",
			["spottedfeltail"] = "T\195\188pfelteufelsfinne",
			["zangariansporefish"] = "Zangarischer Sporenfisch",
			["figlustersmudfish"] = "Feigenschimmers Matschflosser",
			["icefinbluefish"] = "Eisblauflosse",
			["furiouscrawdad"] = "Grimmiger Flusskrebs",
			["goldendarter"] = "Goldener Stachelflosser",
};
 
-- Reagent Data: Elements
ReagentData["element"] = {
            ["heartofthewild"] = "Herz der Wildnis",
            ["essenceofwater"] = "Essenz des Wassers",
            ["earth"] = "Elementargeist-Erde",
            ["ichorofundeath"] = "Sekret des Untodes",
            ["essenceofair"] = "Essenz der Luft",
            ["air"] = "Elementargeist-Luft",
            ["globeofwater"] = "Kugel des Wassers",
            ["essenceofearth"] = "Essenz der Erde",
            ["water"] = "Elementargeist-Wasser",
            ["essenceofundeath"] = "Essenz des Untodes",
            ["heartoffire"] = "Herz des Feuers",
            ["fire"] = "Elementargeist-Feuer",
            ["breathofwind"] = "Odem des Windes",
            ["essenceoffire"] = "Essenz des Feuers",
            ["coreofearth"] = "Erdenkern",
            ["livingessence"] = "Essenz des Lebens",
			["moteofearth"] = "Erdpartikel",
			["moteofwater"] = "Wasserpartikel",
			["moteofair"] = "Luftpartikel",
			["moteoffire"] = "Feuerpartikel",
			["nethermote"] = "Netherpartikel",
			["primalearth"] = "Urerde",
			["primalwater"] = "Urwasser",
			["primalair"] = "Urluft",
			["primalfire"] = "Urfeuer",
			["primalshadow"] = "Urschatten",
			["primallife"] = "Urleben",
			["primalmana"] = "Urmana",
			["primalmight"] = "Urmacht", -- made by alchemy
			["primalnether"] = "Urnether",
			["nethervortex"] = "Nethervortex",
};
 
-- Reagent Data: Gems
ReagentData["gem"] = {
            ["shadow"] = "Schattenedelstein",
            ["jade"] = "Jade",
            ["malachite"] = "Malachit",
            ["azerothiandiamond"] = "Azerothianischer Diamant",
            ["lessermoonstone"] = "Geringer Mondstein",
            ["bloodofthemountain"] = "Blut des Berges",
            ["bluesapphire"] = "Blauer Saphir",
            ["largeopal"] = "Gro\195\159er Opal",
            ["blackvitriol"] = "Schwarzes Vitriol",
            ["mossagate"] = "Moosachat",
            ["starruby"] = "Sternrubin",
            ["tigerseye"] = "Tigerauge",
            ["citrine"] = "Citrin",
            ["hugeemerald"] = "Gewaltiger Smaragd",
            ["blackdiamond"] = "Schwarzer Diamant",
            ["aquamarine"] = "Aquamarin",
            ["arcanecrystal"] = "Arkankristall",
            ["souldarite"] = "Soldarit",
			["pristineblackdiamond"] = "Makelloser schwarzer Diamant",
			["bloodgarnet"] = "Blutgranat",
			["flamespessarite"] = "Flammenspessarit",
			["deepperidot"] = "Tiefenperidot",
			["shadowdraenite"] = "Schattendraenit",
			["goldendraenite"] = "Golddraenit",
			["azuremoonstone"] = "Azurmondstein",
			["livingruby"] = "Lebendiger Rubin",
			["dawnstone"] = "D\195\164mmerstein",
			["nightseye"] = "Nachtauge",
			["nobletopaz"] = "Edeltopas",
			["talasite"] = "Talasit",
			["starofelune"] = "Stern der Elune",
			["earthstormdiamond"] = "Erdsturmdiamant", -- made by alchemy
			["skyfirediamond"] = "Himmelsfeuerdiamant", -- made by alchemy
};
 
-- Reagent Data: Herbs
ReagentData["herb"] = {
            ["goldensansam"] = "Goldener Sansam",
            ["wildsteelbloom"] = "Wildstahlblume",
            ["gromsblood"] = "Gromsblut",
            ["swifthistle"] = "Flitzdistel",
            ["gravemoss"] = "Grabmoos",
            ["ghostmushroom"] = "Geisterpilz",
            ["firebloom"] = "Feuerbl\195\188te",
            ["earthroot"] = "Erdwurzel",
            ["sungrass"] = "Sonnengras",
            ["arthastears"] = "Arthas\' Tr\195\164nen", --"Arthas\226\128\153 Tr\195\164nen", --"Arthas' Tr\195\164nen",
            ["goldthorn"] = "Golddorn",
            ["mageroyal"] = "Magusk\195\182nigskraut",
            ["wildvine"] = "Wildranke",
            ["wintersbite"] = "Winterbiss",
            ["silverleaf"] = "Silberblatt",
            ["bruiseweed"] = "Beulengras",
            ["mountainsilversage"] = "Bergsilberweisling",
            ["kingsblood"] = "K\195\182nigsblut",
            ["liferoot"] = "Lebenswurz",
            ["fadeleaf"] = "Blassblatt",
            ["dreamfoil"] = "Traumblatt",
            ["icecap"] = "Eiskappe",
            ["plaguebloom"] = "Pestbl\195\188te",
            ["blindweed"] = "Blindkraut",
            ["stranglekelp"] = "W\195\188rgetang",
            ["khadgarswhisker"] = "Khadgars Schnurrbart",
            ["briarthorn"] = "Wilddornrose",
            ["peacebloom"] = "Friedensblume",
            ["blacklotus"] = "Schwarzer Lotus",
            ["purplelotus"] = "Lila Lotus",
            ["bloodvine"] = "Blutrebe",
            ["morrowgrain"] = "Morgenkorn",
			["felweed"] = "Teufelsgras",
			["ragveil"] = "Zottelkappe",
			["dreamingglory"] = "Traumwind",
			["terocone"] = "Terozapfen",
			["ancientlichen"] = "Urflechte",
			["netherbloom"] = "Netherbl\195\188te",
			["fellotus"] = "Teufelslotus",
			["nightmarevine"] = "Alptraumranke",
			["manathistle"] = "Manadistel",
};
 
-- Reagent Data: Hide
ReagentData["hide"] = {
            ["curedheavy"] = "Geschmeidiger schwerer Balg",
            ["curedrugged"] = "Geschmeidiger unverw\195\188stlicher Balg",
            ["rugged"] = "Unverw\195\188stlicher Balg",
            ["light"] = "Leichter Balg",
            ["heavy"] = "Schwerer Balg",
            ["curedlight"] = "Geschmeidiger leichter Balg",
            ["thickwolf"] = "Dicker Wolfsbalg",
            ["raptor"] = "Raptorbalg",
            ["curedthick"] = "Geschmeidiger dicker Balg",
            ["thick"] = "Dicker Balg",
            ["shadowcat"] = "Schattenkatzenbalg",
            ["curedmedium"] = "Geschmeidiger mittlerer Balg",
            ["medium"] = "Mittlerer Balg",
            ["fel"] = "Teufelsbalg",
};
 
-- Reagent Data: Leather
ReagentData["leather"] = {
            ["devilsaur"] = "Teufelssaurierleder",
            ["thinkodo"] = "D\195\188nnes Kodoleder",
            ["ruinedscraps"] = "Verdorbene Lederfetzen",
            ["heavy"] = "Schweres Leder",
            ["light"] = "Leichtes Leder",
            ["chimera"] = "Schim\195\164renleder",
            ["enchanted"] = "Verzaubertes Leder",
            ["thick"] = "Dickes Leder",
            ["frostsaber"] = "Frosts\195\164blerleder",
            ["warbear"] = "Kriegsb\195\164renleder",
            ["rugged"] = "Unverw\195\188stliches Leder",
            ["medium"] = "Mittleres Leder",
            ["core"] = "Kernleder",
            ["primalbat"] = "Urzeitliches Fledermausleder",
			["primaltiger"] = "Urzeitliches Tigerleder",
     		["zhevra"] = "Zhevra",
			["thickclefthoof"] = "Dickes Grollhufleder",
			["knothidescraps"] = "Knotenhautlederfetzen",
			["knothide"] = "Knotenhautleder",
			["heavyknothide"] = "Schweres Knotenhautleder",
			["crystal"] = "Kristalldurchdrungenes Leder",
};
 
-- Reagent Data: Ore
ReagentData["ore"] = {
            ["tin"] = "Zinnerz",
            ["silver"] = "Silbererz",
            ["iron"] = "Eisenerz",
            ["truesilver"] = "Echtsilbererz",
            ["darkiron"] = "Dunkeleisenerz",
            ["gold"] = "Golderz",
            ["copper"] = "Kupfererz",
            ["thorium"] = "Thoriumerz",
            ["mithril"] = "Mithrilerz",
            ["elementium"] = "Elementiumerz",
            ["largeobsidianshard"] = "Gro\195\159er Obsidiansplitter",
            ["smallobsidianshard"] = "Kleiner Obsidiansplitter",
			["feliron"] = "Teufelseisenerz",
			["adamantite"] = "Adamantiterz",
			["eternium"] = "Eterniumerz",
			["khorium"] = "Khoriumerz",
};
 
-- Reagent Data: Pearl
ReagentData["pearl"] = {
            ["golden"] = "Goldene Perle",
            ["blue"] = "Blaue Perle",
            ["smalllustrous"] = "Kleine irisierende Perle",
            ["iridescent"] = "Schillernde Perle",
            ["black"] = "Schwarze Perle",
};
 
-- Reagent Data: Poisons
ReagentData["poison"] = {
            ["anesthetic"] = "Anesthetic Poison",
            ["deadlyvii"] = "T\195\182dliches Gift VII",
            ["instantvii"] = "Sofort wirkendes Gift VII",
            ["woundv"] = "Wundengift V",
            ["deadlyvi"] = "T\195\182dliches Gift VI",
            ["deadlyv"] = "T\195\182dliches Gift V",
            ["instantv"] = "Sofort wirkendes Gift V",
            ["instant"] = "Sofort wirkendes Gift",
            ["woundiv"] = "Wundengift IV",
            ["deadlyiii"] = "T\195\182dliches Gift III",
            ["instantii"] = "Sofort wirkendes Gift II",
            ["wound"] = "Wundengift",
            ["deadlyiv"] = "T\195\182dliches Gift IV",
            ["woundii"] = "Wundengift II",
            ["instantiii"] = "Sofort wirkendes Gift III",
            ["cripplingii"] = "Verkr\195\188ppelndes Gift II",
            ["instantiv"] = "Sofort wirkendes Gift IV",
            ["deadly"] = "T\195\182dliches Gift",
            ["woundiii"] = "Wundengift III",
            ["deadlyii"] = "T\195\182dliches Gift II",
            ["instantvi"] = "Sofort wirkendes Gift VI",
            ["mindnumbing"] = "Gedankenbenebelndes Gift",
            ["mindnumbingii"] = "Gedankenbenebelndes Gift II",
            ["mindnumbingiii"] = "Gedankenbenebelndes Gift III",
            ["crippling"] = "Verkr\195\188ppelndes Gift",
};
 
-- Reagent Data: Potions
ReagentData["potion"] = {
            ["minorhealing"] = "Schwacher Heiltrank",
            ["elixirofdetectdemon"] = "Elixier der D\195\164monenentdeckung",
            ["swiftness"] = "Hurtigkeitstrank",
            ["elixirofbruteforce"] = "Elixier der rohen Gewalt",
            ["freeaction"] = "Trank der freien Aktion",
            ["majormana"] = "Erheblicher Manatrank",
            ["elixirofgiantgrowth"] = "Elixier des Riesenwuchses",
            ["dreamlesssleep"] = "Trank des traumlosen Schlafs",
            ["greaterarcaneelixir"] = "Gro\195\159es Arkanelixier",
            ["flaskofdistilledwisdom"] = "Fl\195\164schchen mit destillierter Weisheit",
            ["mightytrollsblood"] = "M\195\164chtiger Trollbluttrank",
            ["elixirofgreaterintellect"] = "Elixier der gro\195\159en Intelligenz",
            ["elixirofdefense"] = "Elixier der Verteidigung",
            ["flaskofsupremepower"] = "Fl\195\164schchen mit oberster Macht",
            ["arcaneelixir"] = "Arkanes Elixier",
            ["flaskofpetrification"] = "Fl\195\164schchen der Versteinerung",
            ["flaskofchromaticresistance"] = "Fl\195\164schchen mit chromatischem Widerstand",
            ["shadowprotection"] = "Schattenschutztrank",
            ["greatershadowprotection"] = "Gro\195\159er Schattenschutztrank",
            ["swimspeed"] = "Schwimmtempotrank",
            ["flaskofthetitans"] = "Fl\195\164schchen der Titanen",
            ["elixirofagility"] = "Elixier der Beweglichkeit",
            ["elixirofminordefense"] = "Elixier der schwachen Verteidigung",
            ["natureprotection"] = "Naturabwehrtrank",
            ["elixirofgreateragility"] = "Elixier der gro\195\159en Beweglichkeit",
            ["elixirofdreamvision"] = "Elixier der Traumvision",
            ["elixirofminoragility"] = "Elixier der schwachen Beweglichkeit",
            ["catseyeelixir"] = "Katzenaugenelixier",
            ["weaktrollsblood"] = "Schwacher Trollbluttrank",
            ["elixiroflesseragility"] = "Elixier der geringen Beweglichkeit",
            ["greaterstoneshield"] = "Gro\195\159er Steinschildtrank",
            ["minormana"] = "Schwacher Manatrank",
            ["giftofarthas"] = "Arthas' Gabe",
            ["elixirofshadowpower"] = "Elixier der Schattenmacht",
            ["mightyrage"] = "M\195\164chtiger Wuttrank",
            ["minorrejuvenation"] = "Schwacher Verj\195\188ngungstrank",
            ["elixiroflionsstrength"] = "Elixier der L\195\182wenst\195\164rke",
            ["healing"] = "Heiltrank",
            ["greatermana"] = "Gro\195\159er Manatrank",
            ["lesserinvisibility"] = "Geringer Unsichtbarkeitstrank",
            ["fireprotection"] = "Feuerschutztrank",
            ["elixirofdetectlesserinvisibility"] = "Elixier der Entd. geringer Unsichtbarkeit",
            ["majorhealing"] = "Erheblicher Heiltrank",
            ["discoloredhealing"] = "Verf\195\164rbter Heiltrank",
            ["lesserstoneshield"] = "Geringer Steinschildtrank",
            ["invisibility"] = "Unsichtbarkeitstrank",
            ["elixirofdetectundead"] = "Elixier der Untotenentdeckung",
            ["lessermana"] = "Geringer Manatrank",
            ["elixiroffortitude"] = "Elixier der Seelenst\195\164rke",
            ["elixirofminorfortitude"] = "Elixier der schwachen Seelenst\195\164rke",
            ["holyprotection"] = "Heiligschutztrank",
            ["elixirofsuperiordefense"] = "Elixier der \195\188berragenden Verteidigung",
            ["frostprotection"] = "Frostschutztrank",
            ["elixirofgreaterdefense"] = "Elixier der gro\195\159en Verteidigung",
            ["elixirofgiants"] = "Elixier der Riesen",
            ["elixirofpoisonresistance"] = "Elixier des Giftwiderstands",
            ["strongtrollsblood"] = "Starker Trollbluttrank",
            ["lesserhealing"] = "Geringer Heiltrank",
            ["greaterhealing"] = "Gro\195\159er Heiltrank",
            ["magicresistance"] = "Magiewiderstandstrank",
            ["restorativeelixir"] = "Regenerationstrank",
            ["elixirofwisdom"] = "Elixier der Weisheit",
            ["rage"] = "Wuttrank",
            ["greatrage"] = "Gro\195\159er Wuttrank",
            ["elixirofogresstrength"] = "Elixier der Ogerst\195\164rke",
            ["superiorhealing"] = "\195\156berragender Heiltrank",
            ["minormagicresistance"] = "Schwacher Magiewiderstandstrank",
            ["elixirofthesages"] = "Elixier der Weisen",
            ["elixiroffirepower"] = "Elixier der Feuerkraft",
            ["greaterfireprotection"] = "Gro\195\159er Feuerschutztrank",
            ["elixirofthemongoose"] = "Elixier des Mungos",
            ["purificationpotion"] = "L\195\164uterungstrank",
            ["elixirofdemonslaying"] = "Elixier des D\195\164monent\195\182tens",
            ["superiormana"] = "\195\156berragender Manatrank",
            ["wildvine"] = "Wildrankentrank",
            ["elixirofwaterbreathing"] = "Elixier der Wasseratmung",
            ["limitedinvulnerability"] = "Begrenzter Unverwundbarkeitstrank",
            ["mana"] = "Manatrank",
			["elixirofmajoragility"] = "Elixier der erheblichen Beweglichkeit",
			["elixirofmajorstrength"] = "Elixier der erheblichen St\195\164rke",
			["mageblood"] = "Magierbluttrank",
			["superhealing"] = "Erstklassiger Heiltrank",
			["supermana"] = "Erstklassiger Manatrank",
};
 
-- Reagent Data: Spell Reagents
ReagentData["reagent"] = {
            ["sacredcandle"] = "Hochheilige Kerze",
            ["ironwoodseed"] = "Eisenholzsamenkorn",
            ["soulshard"] = "Seelensplitter",
            ["ankh"] = "Ankh",
            ["hornbeamseed"] = "Hainbuchensamenkorn",
            ["demonicfigurine"] = "D\195\164monenstatuette",
            ["mapleseed"] = "Ahornsamenkorn",
            ["infernalstone"] = "H\195\182llenstein",
            ["runeofteleportation"] = "Rune der Teleportation",
            ["wildthornroot"] = "Wilder Dornwurz",
            ["runeofportals"] = "Rune der Portale",
            ["ashwoodseed"] = "Eschenholzsamenkorn",
            ["wildberries"] = "Wilde Beeren",
            ["lightfeather"] = "Leichte Feder",
            ["fishoil"] = "Fisch\195\182l",
            ["holycandle"] = "Heilige Kerze",
            ["stranglethornseed"] = "Schlingendornsamenkorn",
            ["symbolofdivinity"] = "Symbol der Offenbarung",
            ["symbolofkings"] = "Symbol der K\195\182nige",
            ["flashpowder"] = "Blitzstrahlpulver",
            ["blindingpowder"] = "Blendungspulver",
            ["shinyfishscales"] = "Gl\195\164nzende Fischschuppen",
            ["arcanepowder"] = "Arkanes Pulver",
            ["flintweedseed"] = "Flintgrassaat",
            ["quillvine"] = "Wilde Federranke",
};
 
-- Reagent Data: Scales
ReagentData["scale"] = {
            ["slimymurloc"] = "Schleimige Murlocschuppe",
            ["thickmurloc"] = "Dicke Murlocschuppe",
            ["bluedragon"] = "Blaue Drachenschuppe",
            ["redwhelp"] = "Rotwelpenschuppe",
            ["perfectdeviate"] = "Perfekte Deviatschuppe",
            ["reddragon"] = "Rote Drachenschuppe",
            ["greenwhelp"] = "Gr\195\188nwelpenschuppe",
            ["turtle"] = "Schildkr\195\182tenschuppe",
            ["greendragon"] = "Gr\195\188ne Drachenschuppe",
            ["blackdragon"] = "Schwarze Drachenschuppe",
            ["blackwhelp"] = "Schwarzwelpenschuppe",
            ["worndragon"] = "Abgenutzte Drachenschuppe",
            ["deviate"] = "Deviatschuppe",
            ["scorpid"] = "Skorpidschuppe",
            ["heavyscorpid"] = "Schwere Skorpidschuppe",
            ["brilliantchromatic"] = "Gl\195\164nzende chromatische Schuppe",
            ["onyxia"] = "Fl\195\164schchen \195\150l",
            ["dream"] = "Traumschuppe",
			["netherdragon"] = "Netherdrachenschuppe",
			["fel"] = "Teufelsschuppe",
			["cobra"] = "Kobraschuppe",
			["wind"] = "Windschuppe",
};
 
-- Reagent Data: Stone
ReagentData["stone"] = {
            ["solid"] = "Robuster Stein",
            ["dense"] = "Verdichteter Stein",
            ["rough"] = "Rauer Stein",
            ["coarse"] = "Grober Stein",
            ["heavy"] = "Schwerer Stein",
};
 
-------------------------------
-- Tradeskill Produced Items --
-------------------------------
 
-- Reagent Data: Armors (Only those used in other tradeskills)
ReagentData["armor"] = {
            ["goblinconstructionhelmet"] = "Goblin-Bauhelm",
            ["fineleathertunic"] = "Feine Ledertunika",
            ["greenleather"] = "Gr\195\188ne Lederr\195\188stung",
            ["greentintedgoggles"] = "Schutzbrille mit gr\195\188nen Gl\195\164sern",
            ["flyingtigergoggles"] = "Fliegende Tigerschutzbrille",
            ["firegoggles"] = "Feuerschutzbrille",
            ["spellpowergogglesxtreme"] = "Zaubermachtschutzbrille Xtrem",
            ["blackmageweaveboots"] = "Schwarze Magiestoffstiefel",
            ["guardiangloves"] = "W\195\164chter-Handschuhe",
            ["cinderclothcloak"] = "Aschenstoffumhang",
            ["fineleatherbelt"] = "Feiner Lederg\195\188rtel",
            ["fineleathergloves"] = "Feine Lederhandschuhe",
            ["duskybelt"] = "Schw\195\164rzlicher G\195\188rtel",
            ["ironbuckle"] = "Eiserne G\195\188rtelschnalle",
			["breastplateofkings"] = "Brustplatte der K\195\182nige",
			["bulwarkofkings"] = "Bollwerk der K\195\182nige",
			["netherchainshirt"] = "Netherkettenhemd",
			["twistingnetherchainshirt"] = "Kettenhemd des wirbelnden Nethers",
};
 
-- Reagent Data: Cloth Bolts
ReagentData["bolt"] = {
            ["wool"] = "Wollstoffballen",
            ["rune"] = "Runenstoffballen",
            ["mageweave"] = "Magiestoffballen",
            ["silk"] = "Seidenstoffballen",
            ["linen"] = "Leinenstoffballen",
			["netherweave"] = "Netherstoffballen",
			["imbuednetherweave"] = "Magieerf\195\182llter Netherstoffballen",
			["soulcloth"] = "Seelenstoffballen",
};
 
-- Reagent Data: Grinding Stones
ReagentData["grinding"] = {
            ["solid"] = "Robuster Schleifstein",
            ["dense"] = "Verdichteter Schleifstein",
            ["rough"] = "Rauer Schleifstein",
            ["coarse"] = "Grober Schleifstein",
            ["heavy"] = "Schwerer Schleifstein",
};
 
-- Reagent Data: Oils
ReagentData["oil"] = {
            ["goblinrocketfuel"] = "Goblin-Raketentreibstoff",
            ["blackmouth"] = "Schwarzmaul\195\182l",
            ["shadow"] = "Schatten\195\182l",
            ["fire"] = "Feuer\195\182l",
            ["immolation"] = "\195\150l des Feuerbrandes",
            ["stonescale"] = "Steinschuppen\195\182l",
            ["frost"] = "Frost\195\182l",
};
 
-- Reagent Data: Other (Items that don't fit in other categories)
ReagentData["other"] = {
            ["yellowpowercrystal"] = "Gelber Machtkristall",
            ["redpowercrystal"] = "Roter Machtkristall",
            ["snowball"] = "Gelber Machtkristall",
            ["runntumtuber"] = "Runn Tum Knolle",
            ["greenpowercrystal"] = "Gr\195\188ner Machtkristall",
            ["bluepowercrystal"] = "Blauer Machtkristall",
            ["frozenrune"] = "Gefrorene Rune",
            ["bloodofheroes"] = "Blut von Helden",
            ["strangespores"] = "Seltsame Sporen",
            ["adamantitepowder"] = "Adamantitpulver",
};
 
-- Reagent Data: Blasting Powder
ReagentData["powder"] = {
            ["solid"] = "Robustes Sprengpulver",
            ["dense"] = "Dichtes Sprengpulver",
            ["rough"] = "Raues Sprengpulver",
            ["coarse"] = "Grobes Sprengpulver",
            ["heavy"] = "Schweres Sprengpulver",
            ["elemental"] = "Elementarsprengpulver",
};
 
-- Reagent Data: Engineering Parts
ReagentData["part"] = {
            ["coppertube"] = "Kupferrohr",
            ["woodenstock"] = "Holzgriff",
            ["mithrilmechanicaldragonling"] = "Mechanischer Mithrilgro\195\159drachling",
            ["delicatearcaniteconverter"] = "Empfindlicher Arkanitwandler",
            ["bronzetube"] = "Bronzer\195\164hre",
            ["fusedwiring"] = "Verschmorte Verkabelung",
            ["thoriumwidget"] = "Thoriumapparat",
            ["deadlyscope"] = "T\195\182dliches Zielfernrohr",
            ["coppermodulator"] = "Kupfermodulator",
            ["bigironbomb"] = "Gro\195\159e Eisenbombe",
            ["heavystock"] = "Schwerer Griff",
            ["unstabletrigger"] = "Instabiler Ausl\195\182ser",
            ["silvercontact"] = "Silberkontakt",
            ["accuratescope"] = "Genaues Zielfernrohr",
            ["handfulofcopperbolts"] = "Eine Hand voll Kupferbolzen",
            ["ironstrut"] = "Eisenstrebe",
            ["soliddynamite"] = "Robustes Dynamit",
            ["mithriltube"] = "Mithrilrohr",
            ["gyrochronatom"] = "Gyrochronatom",
            ["inlaidmithrilcylinder"] = "Veredelter Mithrilzylinder",
            ["goldpowercore"] = "Goldkraftkern",
            ["mithrilcasing"] = "Mithrilgeh\195\164use",
            ["bronzeframework"] = "Bronzeger\195\188st",
            ["blankparchment"] = "Leeres Pergament",
            ["engineersink"] = "Ingenieurstinte",
            ["whirringbronzegizmo"] = "Surrendes bronzenes Dingsda",
            ["thoriumtube"] = "Thoriumr\195\182hre",
            ["truesilvertransformer"] = "Echtsilber Transformer",
            ["thebigone"] = "Der Gro\195\159e",
            ["thebiggerone"] = "Der Gr\195\182\195\159ere",
			["felironcasing"] = "Teufelseisengeh\195\164use",
			["handfuloffelironbolts"] = "Eine Hand voll Teufelseisenbolzen",
			["adamantiteframe"] = "Adamantitrahmen",
			["hardenedadamantitetube"] = "Geh\195\164rtetes Adamantitrohr",
			["khoriumpowercore"] = "Khoriumkraftkern",
			["felsteelstabilizer"] = "Teufelsstahlstabilisator",
};
 
-- Reagent Data: Jewelcrafting Parts
ReagentData["jcpart"] = {
			["delicatecopperwire"] = "Feiner Kupferdraht",
			["bronzesetting"] = "Bronzefassung",
			["mithrilfiligree"] = "Filigranarbeit aus Mithril",
			["thoriumsetting"] = "Thoriumfassung",
			["cutcitrine"] = "Geschliffener Citrin",
			["mercurialadamantite"] = "Quecksilberadamantit",
};

-- Reagent Data: Rods
ReagentData["rod"] = {
            ["golden"] = "Goldrute",
            ["arcanite"] = "Arkanitrute",
            ["truesilver"] = "Echtsilberrute",
            ["silver"] = "Silberrute",
            ["copper"] = "Kupferrute",
			["feliron"] = "Teufelseisenrute",
			["adamantite"] = "Adamantitrute",
			["eternium"] = "Eterniumrute",
};
 
-- Reagent Data: Weapons (only those used by trade skills)
ReagentData["weapon"] = {
		   ["blackplanaredge"] = "Schwarze Planaraxt",
		   ["blazeguard"] = "Lodernder W\195\164chter",
		   ["deepthunder"] = "Tiefendonner",
		   ["dragonmaw"] = "Drachenmal",
		   ["drakefisthammer"] = "Drachenfaust",
		   ["fireguard"] = "Brandwache",
		   ["lionheartblade"] = "L\195\182wenherzklinge",
		   ["lionheartchampion"] = "L\195\182wenherzchampion",
		   ["lunarcrescent"] = "Mondsichel",
		   ["mooncleaver"] = "Mondspaltbeil",
                   ["netherblade"] = "Netherklinge",
		   ["theplanaredge"] = "Die Planaraxt",
		   ["thunder"] = "Donner",
};

-------------------------
-- Enchanting Reagents --
-------------------------
 
-- Reagent Data: Dusts
ReagentData["dust"] = {
            ["vision"] = "Visionenstaub",
            ["soul"] = "Seelenstaub",
            ["strange"] = "Seltsamer Staub",
            ["dream"] = "Traumstaub",
            ["illusion"] = "Illusionsstaub",
            ["arcane"] = "Arkaner Staub",
};
 
-- Reagent Data: Essences
ReagentData["essence"] = {
            ["lessereternal"] = "Geringe ewige Essenz",
            ["lessermystic"] = "Geringe Mystikeressenz",
            ["greaterastral"] = "Gro\195\159e Astralessenz",
            ["greatermystic"] = "Gro\195\159e Mystikeressenz",
            ["greaternether"] = "Gro\195\159e Netheressenz",
			["greatherplanar"] = "Gro\195\159e Planaressenz",
            ["lesserastral"] = "Geringe Astralessenz",
            ["lessernether"] = "Geringe Netheressenz",
            ["lesserplanar"] = "Geringe Planaressenz",
            ["greatermagic"] = "Gro\195\159e Magieessenz",
            ["lessermagic"] = "Geringe Magieessenz",
            ["greatereternal"] = "Gro\195\159e ewige Essenz",
			["soul"] = "Seelenessenz",
};
 
-- Reagent Data: Shards
ReagentData["shard"] = {
            ["largeglimmering"] = "Gro\195\159er glei\195\164ender Splitter",
            ["largebrilliant"] = "Gro\195\159er gl\195\159nzender Splitter",
            ["smallglowing"] = "Kleiner leuchtender Splitter",
            ["smallglimmering"] = "Kleiner glei\195\159ender Splitter",
            ["smallbrilliant"] = "Kleiner gl\195\164nzender Splitter",
            ["smallradiant"] = "Kleiner strahlender Splitter",
            ["largeradiant"] = "Gro\195\159er strahlender Splitter",
            ["largeglowing"] = "Gro\195\159er leuchtender Splitter",
            ["nexuscrystal"] = "Nexuskristall",
			["smallprismatic"] = "Kleiner Prismasplitter",
			["largeprismatic"] = "Gro\195\159er Prismasplitter",
			["voidcrystal"] = "Kristall der Leere",
};
 
------------------
-- Vendor Items --
------------------
 
-- Reagent Data: Drinks (Only those used in tradeskills)
ReagentData["drink"] = {
            ["rhapsodymalt"] = "Rhapsody-Malzbier",
            ["icecoldmilk"] = "Eiskalte Milch",
            ["skinofdwarvenstout"] = "Schlauch mit zwergischem Starkbier",
            ["refreshingspringwater"] = "Erfrischendes Quellwasser",
            ["holidyspirits"] = "Festtagsgeister",
};
 
-- Reagent Data: Dye
ReagentData["dye"] = {
            ["blue"] = "Blauer Farbstoff",
            ["ghost"] = "Geisterfarbstoff",
            ["purple"] = "Lila Farbstoff",
            ["red"] = "Roter Farbstoff",
            ["bleach"] = "Bleiche",
            ["black"] = "Schwarzer Farbstoff",
            ["green"] = "Gr\195\188ner Farbstoff",
            ["pink"] = "Rosa Farbstoff",
            ["yellow"] = "Gelber Farbstoff",
            ["orange"] = "Oranger Farbstoff",
            ["gray"] = "Grauer Farbstoff",
};
 
-- Reagent Data: Flux
ReagentData["flux"] = {
            ["weak"] = "Schwacher Fluxus",
            ["strong"] = "Starker Fluxus",
            ["elemental"] = "Elementarfluxus",
};
 
-- Reagent Data: Food (used in tradeskills)
ReagentData["food"] = {
            ["shinyredapple"] = "Gl\195\164nzender roter Apfel",
};
 
-- Reagent Data: Poison Ingredients
ReagentData["poisoningredient"] = {
            ["dustofdecay"] = "Staub des Verfalls",
            ["essenceofpain"] = "Essenz des Schmerzes",
            ["essenceofagony"] = "Essenz der Pein",
            ["dustofdeterioration"] = "Staub der Verschlechterung",
            ["deathweed"] = "Todeskraut",
			["lethargyroot"] = "Lethargiewurzel",
			["maidensanguish"] = "Pein der Maid",
};
 
-- Reagent Data: Salt
ReagentData["salt"] = {
            ["refineddeeprock"] = "Raffiniertes Tiefsteinsalz",
            ["salt"] = "Salz",
            ["deeprock"] = "Tiefsteinsalz",
};
 
-- Reagent Data: Spices
ReagentData["spice"] = {
            ["soothing"] = "Feine Gew\195\188rze",
            ["mild"] = "Milde Gew\195\188rze",
            ["stormwindseasoningherbs"] = "Stormwind-W\195\188rzkr\195\164uter",
            ["hot"] = "Scharfe Gew\195\188rze",
            ["holiday"] = "Festtagsgew\195\188rze",
};
 
-- Reagent Data: Thread
ReagentData["thread"] = {
            ["heavysilken"] = "Schwerer Seidenfaden",
            ["rune"] = "Runenfaden",
            ["silken"] = "Seidenfaden",
            ["coarse"] = "Grober Faden",
            ["fine"] = "Feiner Faden",
};
 
-- Reagent Data: Vendor Other
ReagentData["vendorother"] = {
            ["coal"] = "Kohle",
            ["nightcrawlers"] = "Nachtkriecher",
            ["razorarrow"] = "Schneidenpfeil",
		    ["simpleflour"] = "Herk\195\182mmliches Mehl",
};
 
-- Reagent Data: Vials
ReagentData["vial"] = {
            ["crystal"] = "Kristallphiole",
            ["imbued"] = "Magieerf\195\188llte Phiole",
            ["leaded"] = "Verbleite Phiole",
            ["empty"] = "Leere Phiole",
};
 
-- Reagent Data: Wood
ReagentData["wood"] = {
            ["simple"] = "Einfaches Holz",
            ["star"] = "Sternenholz",
};
 
-----------
-- Other --
-----------
 
-- Reagent Data: Monster Parts
ReagentData["monster"] = {
            ["tendercrocoliskmeat"] = "Zartes Krokiliskenfleisch",
            ["stagmeat"] = "Hirschfleisch",
            ["powerfulmojo"] = "M\195\164chtiges Mojo",
            ["lavacore"] = "Lavakern",
            ["crispspidermeat"] = "Knuspriges Spinnenfleisch",
            ["largefang"] = "Gro\195\159er Fangzahn",
            ["softfrenzyflesh"] = "Weiches Frenzy-Fleisch",
            ["boarintestines"] = "Eberged\195\164rme",
            ["leanwolfflank"] = "Magere Wolfflanke",
            ["stringyvulturemeat"] = "Sehniges Geierfleisch",
            ["stringywolfmeat"] = "Sehniges Wolfsfleisch",
            ["murlocfin"] = "Murlocflosse",
            ["turtlemeat"] = "Schildkr\195\182tenfleisch",
            ["larvalacid"] = "Larvens\195\164ure",
            ["mysterymeat"] = "Eigenartiges Fleisch",
            ["meatybatwing"] = "Fleischiger Fledermausfl\195\188gel",
            ["nagascale"] = "Nagaschuppe",
            ["sulfuroningot"] = "Sulfuron-Block",
            ["smallvenomsac"] = "Kleiner Giftbeutel",
            ["crocoliskmeat"] = "Krokiliskenfleisch",
            ["whitespidermeat"] = "Wei\195\159es Spinnenfleisch",
            ["wickedclaw"] = "T\195\188ckische Klaue",
            ["goretuskliver"] = "Geiferzahnleber",
            ["righteousorb"] = "Rechtschaffene Kugel",
            ["kodomeat"] = "Kodofleisch",
            ["skinofshadow"] = "Schattenhaut",
            ["ogretannin"] = "Oger-Gerbemittel",
            ["smallflamesac"] = "Kleiner Flammenbeutel",
            ["spiderichor"] = "Spinnensekret",
            ["giantegg"] = "Riesenei",
            ["smallspiderleg"] = "Kleines Spinnenbein",
            ["demonicrune"] = "D\195\164monische Rune",
            ["crawlerclaw"] = "Kriecherklaue",
            ["clawmeat"] = "Muschelfleisch",
            ["chunkofboarmeat"] = "Brocken Eberfleisch",
            ["goretusksnout"] = "Geiferzahnschnauze",
            ["zestyclammeat"] = "Scharfes Muschelfleisch",
            ["flaskofbigmojo"] = "Fl\195\164schchen gro\195\159es Mojo",
            ["tendercrabmeat"] = "Zartes Krebsfleisch",
            ["gooeyspiderleg"] = "Klebriges Spinnenbein",
            ["flaskofoil"] = "F\195\164schchen \195\150l",
            ["giantclammeat"] = "Riesenmuschelfleisch",
            ["scorpidstinger"] = "Skorpidstachel",
            ["smallegg"] = "Kleines Ei",
            ["luckycharm"] = "Gl\195\188cksbringer",
            ["toughcondormeat"] = "Z\195\164hes Kondorfleisch",
            ["boarribs"] = "Eberrippchen",
            ["murloceye"] = "Murlocauge",
            ["guardianstone"] = "W\195\164chterstein",
            ["largevenomsac"] = "Gro\195\159er Giftbeutel",
            ["volatilerum"] = "Fl\195\188chtiger Rum",
            ["coyotemeat"] = "Kojotenfleisch",
            ["crawlermeat"] = "Kriecherfleisch",
            ["bigbearmeat"] = "Gro\195\159es B\195\164renfleisch",
            ["stridermeat"] = "Schreiterfleisch",
            ["tenderwolfmeat"] = "Zartes Wolfsfleisch",
            ["flaskofmojo"] = "Fl\195\164schchen Mojo",
            ["coarsegorillahair"] = "Grobes Gorillahaar",
            ["discoloredworgheart"] = "Verf\195\164rbtes Worgherz",
            ["bearmeat"] = "B\195\164renfleisch",
            ["buzzardwing"] = "Bussardfl\195\188gel",
            ["cragboarrib"] = "Klippeneberrippchen",
            ["tangyclammeat"] = "W\195\188rziges Muschelfleisch",
            ["sharpclaw"] = "Scharfe Klaue",
            ["thunderlizardtail"] = "Donnerechsenschwanz",
            ["lionmeat"] = "L\195\182wenfleisch",
            ["raptoregg"] = "Raptorei",
            ["clammeat"] = "Muschelfleisch",
            ["tigermeat"] = "Tigerfleisch",
            ["digrat"] = "Grubenratte",
            ["redwolfmeat"] = "Rotes Wolfsfleisch",
            ["heavykodomeat"] = "Schweres Kodofleisch",
            ["raptorflesh"] = "Raptorfleisch",
            ["fierycore"] = "Feuerkern",
            ["massivemojo"] = "Massive Mojo",
            ["hugevenomsac"] = "Riesiger Giftbeutel",
            ["sandwormmeat"] = "Sandwurm Fleisch",
            ["darkrune"] = "Dunkelrune",
            ["heavysilithidcarapace"] = "Schwerer Silithid-Panzer",
            ["lightsilithidcarapace"] = "Leichter Silithid-Panzer",
            ["silithidchitin"] = "Silithid-Chitin",
            ["chimaeroktenderloin"] = "Chimaeroklenden",
            ["batflesh"] = "Fledermausfleisch",
            ["buzzardmeat"] = "Bussardfleisch",
            ["chunkobasilisk"] = "Basiliskbrocken",
            ["clefthoofmeat"] = "Grollhuffleisch",
            ["crunchyspiderleg"] = "Knuspriges Spinnenbein",
            ["jaggalclammeat"] = "Jaggalmuschelfleisch",
            ["lynxmeat"] = "Luchsfleisch",
            ["moongrazestagtenderloin"] = "Mondweidenhirschlenden",
            ["raptorribs"] = "Raptorrippchen",
            ["ravagerflesh"] = "Felshetzerfleisch",
            ["serpentflesh"] = "Schlangenfleisch",
            ["talbukvenison"] = "Talbukwildbret",
            ["warpedflesh"] = "Verformtes Fleisch",
};
 
-- Reagent Data: Feathers
ReagentData["feather"] = {
            ["longtail"] = "Lange Schwanzfeder",
            ["iron"] = "Eisenfeder",
            ["jetblack"] = "Pechschwarze Feder",
            ["longelegant"] = "Lange elegante Feder",
};
 
-- Reagent Data: Spider Silk
ReagentData["spidersilk"] = {
            ["netherweb"] = "Netherweberseide",
            ["ironweb"] = "Eisenweberseide",
            ["shadow"] = "Schattenseide",
            ["thick"] = "Dicke Spinnenseide",
            ["silk"] = "Spinnenseide",
};
 
-- Reagent Data: Socket Types
ReagentData["socket"] = {
			["red"] = "Rot",
			["blue"] = "Blau",
			["yellow"] = "Gelb",
			["meta"] = "Meta",
			["bonus"] = "Bonus",
};

-- Reagent Data: Tools
ReagentData["tool"] = {
			["anvil"] = "Amboss",
			["blacksmithhammer"] = "Schmiedehammer",
    		["cookingfire"] = "Kochstelle",
			["forge"] = "Schmiede",
			["moonwell"] = "Mondbrunnen",
			["blackforge"] = "Schwarzschmiede",
			["blackanvil"] = "Schwarzer Amboss",
			["alchemylab"] = "Alchemielabor",
			["icebellowanvil"] = "Icebellow Amboss",
			["altarofshadows"] = "Altar der Schatten",
			["netherstorm"] = "Nethersturm",
			["jewelerskit"] = "Juweliersset",
			["simplegrinder"] = "Einfacher Schleifer",
			["runedcopperrod"] = "Runenverzierte Kupferrute",
			["runedsilverrod"] = "Runenverzierte Silberrute",
			["runedgoldenrod"] = "Runenverzierte Goldrute",
			["runedtruesilverrod"] = "Runenverzierte Echtsilberrute",
			["runedarcaniterod"] = "Runenverzierte Arcanitrute",
			["runedfelironrod"] = "Runenverzierte Teufelseisenrute",
			["runedadamantiterod"] = "Runenverzierte Adamantitrute",
			["runedeterniumrod"] = "Runenverzierte Eterniumrute",
       		["philosophersstone"] = "Stein der Weisen",
   			["arclightspanner"] = "Bogenlichtschraubenschlssel",
   			["gyromaticmicro-adjustor"] = "Gyromatischer Mikroregler",
};

-- Reagent Data: Classes
ReagentData["classes"] = {};
ReagentData["classes"]["druid"]     = "Druide";
ReagentData["classes"]["hunter"]    = "J\195\164ger";
ReagentData["classes"]["mage"]      = "Magier";
ReagentData["classes"]["paladin"]   = "Paladin";
ReagentData["classes"]["priest"]    = "Priester";
ReagentData["classes"]["rogue"]     = "Schurke";
ReagentData["classes"]["shaman"]    = "Schamane";
ReagentData["classes"]["warlock"]   = "Hexenmeister";
ReagentData["classes"]["warrior"]   = "Krieger";

-- Reagent Data: Item location
ReagentData["location"] = {};
ReagentData["location"]["head"]     = "Kopf";
ReagentData["location"]["neck"]     = "Hals";
ReagentData["location"]["shoulder"] = "Schulter";
ReagentData["location"]["back"]     = "R\195\188cken";
ReagentData["location"]["chest"]    = "Brust";
ReagentData["location"]["shirt"]    = "Hemd";
ReagentData["location"]["tabard"]   = "Wappenrock";
ReagentData["location"]["wrist"]    = "Handgelenk";
ReagentData["location"]["hands"]    = "H\195\164nde";
ReagentData["location"]["waist"]    = "Taille";
ReagentData["location"]["legs"]     = "Beine";
ReagentData["location"]["feet"]     = "F\195\188sse";
ReagentData["location"]["finger"]   = "Finger";
ReagentData["location"]["trinket"]  = "Schmuckst\195\188ck";
ReagentData["location"]["enchant"]  = "Verzauberung";
ReagentData["location"]["weapon"]   = "Waffe";

-- Reagent Data: Professions (Skills that produce a finished product)
ReagentData["professions"] = {};
ReagentData["professions"]["alchemy"] = "Alchimie";
ReagentData["professions"]["blacksmithing"] = "Schmiedekunst";
ReagentData["professions"]["cooking"] = "Kochkunst";
ReagentData["professions"]["enchanting"] = "Verzauberkunst";
ReagentData["professions"]["engineering"] = "Ingenieurskunst";
ReagentData["professions"]["firstaid"] = "Erste Hilfe";
ReagentData["professions"]["leatherworking"] = "Lederverarbeitung";
ReagentData["professions"]["tailoring"] = "Schneiderei";
ReagentData["professions"]["jewelcrafting"] = "Juwelenschleifen";
 
-- Reagent Data: Gather Skills (Skills to gather/find reagents)
ReagentData["gathering"] = {};
ReagentData["gathering"]["fishing"] = "Angeln";
ReagentData["gathering"]["herbalism"] = "Kr\195\164uterkunde";
ReagentData["gathering"]["mining"] = "Bergbau";
ReagentData["gathering"]["skinning"] = "K\195\188rschnerei";
 
end

-------------------------------------
-- Reagent Data: QUEST ITEM Tables --
-------------------------------------

function ReagentData_LoadQuestItemsGerman()

----------------------------
-- Zul' Gurub quest items --
----------------------------

ReagentData["quest"] = {};
ReagentData["quest"]["Zul\'Gurub"] = {};
ReagentData["quest"]["Zul\'Gurub"]["item"] = {
--~     ["coin"] = {
--~         ["bloodscalp"] = "M\195\188nze der Bloodscalp",
--~         ["gurubashi"] = "M\195\188nze der Gurubashi",
--~         ["hakkari"] = "M\195\188nze der Hakkari",
--~         ["razzashi"] = "M\195\188nze der Razzashi",
--~         ["sandfury"] = "M\195\188nze der Sandfury",
--~         ["skullsplitter"] = "M\195\188nze der Skullsplitter",
--~         ["vilebranch"] = "M\195\188nze der Vilebranch",
--~         ["witherbark"] = "M\195\188nze der Witherbark",
--~         ["zulian"] = "Zulianische M\195\188nze",
--~     },
--~     ["bijou"] = {
--~         ["blue"] = "Blaues Schmuckst\195\188ck der Hakkari",
--~         ["bronze"] = "Bronzefarbenes Schmuckst\195\188ck der Hakkari",
--~         ["gold"] = "Goldenes Schmuckst\195\188ck der Hakkari",
--~         ["green"] = "Grnes Schmuckst\195\188ck der Hakkari",
--~         ["orange"] = "Orangefarbenes Schmuckst\195\188ck der Hakkari",
--~         ["purple"] = "Lilafarbenes Schmuckst\195\188ck der Hakkari",
--~         ["red"] = "Rotes Schmuckst\195\188ck der Hakkari",
--~         ["silver"] = "Silbernes Schmuckst\195\188ck der Hakkari",
--~         ["yellow"] = "Gelbes Schmuckst\195\188ck der Hakkari",
--~     },
    ["doll"] = {
        ["voodoo"] = "Durchstochene Voodoopuppe",
    },
    ["primal"] = {
        ["aegis"] = "Urzeitliche Aegis der Hakkari",
        ["armsplint"] = "Urzeitlicher Hakkariarmsplinte",
        ["bindings"] = "Urzeitliche Hakkari Bindungen",
        ["girdle"] = "Urzeitlicher Hakkarigurt",
        ["kossack"] = "Urzeitlicher Hakkari Kosak",
        ["sash"] = "Urzeitliche Hakkari Sch\195\164rpe",
        ["shawl"] = "Urzeitlicher Hakkari Schal",
        ["stanchion"] = "Urzeitliche Hakkarist\195\188tze",
        ["tabard"] = "Urzeitliche Hakkariwappenrock",
        ["idol"] = "Urzeitlicher Hakkarig\195\182tze",
    },
};
ReagentData["quest"]["Ruins of Anh\'Qiraj"] = {};
ReagentData["quest"]["Ruins of Anh\'Qiraj"]["item"] = {
    ["drape"] = {
        ["martial"] = "Kampftuch der Qiraji",
        ["regal"] = "Hoheitstuch der Qiraji",
    },
    ["hilt"] = {
        ["ornate"] = "Verschn\195\182rkelter Griff der Qiraji",
        ["spiked"] = "Stachelgriff der Qiraji",
    },
    ["idol"] = {
        ["alabaster"] = "Alabasterg\195\182tze",
        ["amber"] = "Bernsteing\195\182tze",
        ["azure"] = "Azurg\195\182tze",
        ["jasper"] = "Jaspisg\195\182tze",
        ["lambent"] = "Z\195\188ngelnder G\195\182tze",
        ["obsidian"] = "Obsidiang\195\182tze",
        ["onyx"] = "Onyxg\195\182tze",
        ["vermillion"] = "Zinnoberg\195\182tze",
    },
    ["ring"] = {
        ["ceremonial"] = "Zeremonienring der Qiraji",
        ["magisterial"] = "Gebieterring der Qiraji",
    },
--[[
    ["scarab"] = {
        ["bone"] = "Knochenskarab\195\164us",
        ["bronze"] = "Bronzeskarab\195\164us",
        ["clay"] = "Tonskarab\195\164us",
        ["crystal"] = "Kristallskarab\195\164us",
        ["ivory"] = "Elfenbeinskarab\195\164us",
        ["gold"] = "Goldskarab\195\164us",
        ["silver"] = "Silberskarab\195\164us",
        ["stone"] = "Steinskarab\195\164us",
    },]]
};
ReagentData["quest"]["Anh\'Qiraj"] = {};
ReagentData["quest"]["Anh\'Qiraj"]["item"] = {
    ["idol"] = {
        ["death"] = "G\195\182tze des Todes",
        ["life"] = "G\195\182tze des Lebens",
        ["night"] = "G\195\182tze der Nacht",
        ["rebirth"] = "G\195\182tze der Wiedergeburt",
        ["sage"] = "G\195\182tze der Weisen",
        ["strife"] = "G\195\182tze des Kampfes",
        ["sun"] = "G\195\182tze der Sonne",
        ["war"] = "G\195\182tze des Krieges",
    },
    ["scarab"] = {
        ["bone"] = "Knochenskarab\195\164us",
        ["bronze"] = "Bronzeskarab\195\164us",
        ["clay"] = "Tonskarab\195\164us",
        ["crystal"] = "Kristallskarab\195\164us",
        ["ivory"] = "Elfenbeinskarab\195\164us",
        ["gold"] = "Goldskarab\195\164us",
        ["silver"] = "Silberskarab\195\164us",
        ["stone"] = "Steinskarab\195\164us",
    },
    ["part"] = {
        ["command"] = "Befehlsbindungen der Qiraji",
        ["dominance"] = "Dominanzbindungen der Qiraji",
        ["circlet"] = "Vek\'nilashs Reif",
        ["diadem"] = "Diad\195\168me de Vek\'lor",
        ["hide"] = "Ouros intakte Haut",
        ["skin"] = "Haut des gro\195\159en Sandwurms",
        ["carapace"] = "Knochenpanzer des alten Gottes",
        ["husk"] = "H\195\188lle des alten Gottes",
    },
};
ReagentData["quest"]["Naxxramas"] = {};
ReagentData["quest"]["Naxxramas"]["item"] = {
    ["scrap"] = {
        ["cloth"] = "Kampfzerschlissenes Stoffst\195\188ck",
        ["leather"] = "Kampfzerschlissenes Lederst\195\188ck",
        ["chain"] = "Kampfzerschlissenes Kettenst\195\188ck",
        ["plate"] = "Kampfzerschlissenes Plattenst\195\188ck",
    },
    ["desecrated"] = {
        ["belt"] = "Entweihter G\195\188rtel",
        ["bindings"] = "Entweihte Bindungen",
        ["boots"] = "Entweihte Stiefel",
        ["bracers"] = "Entweihte Armschienen",
        ["breastplate"] = "Entweihte Brustplatte",
        ["circlet"] = "Entweihter Reif",
        ["gauntlets"] = "Entweihte Stulpen",
        ["girdle"] = "Entweihter Gurt",
        ["gloves"] = "Entweihte Handschuhe",
        ["handguards"] = "Entweihte Handsch\195\188tzer",
        ["headpiece"] = "Entweihtes Kopfst\195\188ck",
        ["helmet"] = "Entweihter Helm",
        ["leggings"] = "Entweihte Gamaschen",
        ["legguards"] = "Entweihte Beinsch\195\188tzer",
        ["legplates"] = "Entweihte Beinplatten",
        ["pauldrons"] = "Entweihte Schulterst\195\188cke",
        ["robe"] = "Entweihte Robe",
        ["sabatons"] = "Entweihte Sabatons",
        ["sandals"] = "Entweihte Sandalen",
        ["shoulderpads"] = "Entweihte Schulterpolster",
        ["spaulders"] = "Entweihte Schiftung",
        ["tunic"] = "Entweihte Tunika",
        ["waistguard"] = "Entweihter Taillenschutz",
        ["wristguards"] = "Entweihter Handgelenksschutz",
    },
	["other"] = {
		["gem"] = {
			["arcanecrystal"] = "Arkankristall",
		},
		["shard"] = {
			["nexuscrystal"] = "Nexuskristall",
		},
		["bar"] = {
			["arcanite"] = "Arkanitrute",
		},
		["hide"] = {
			["curedrugged"] = "Geschmeidiger unverw\195\188stlicher Balg",
		},
		["cloth"] = {
			["moon"] = "Mondstoff",
		},
	},
};

end