------------------------------
-- Reagent Data Data Tables --
------------------------------

-----------------
-- Professions --
-----------------

-- Reagent Data: Alchemy
ReagentData['alchemy'] = ReagentData_Flatten({
     ReagentData['vial'],
     ReagentData['herb'],
     ReagentData['oil']['blackmouth'],
     ReagentData['oil']['fire'],
     ReagentData['oil']['shadow'],
     ReagentData['oil']['stonescale'],
     ReagentData['alchemyfish'],
     ReagentData['cookingfish']['deviate'],
     ReagentData['potion']['minorhealing'],
     ReagentData['monster']['discoloredworgheart'],
     ReagentData['monster']['sharpclaw'],
     ReagentData['monster']['largefang'],
     ReagentData['monster']['largevenomsac'],
     ReagentData['monster']['smallflamesac'],
     ReagentData['monster']['volatilerum'],
     ReagentData['monster']['scaleofonyxia'],
     ReagentData['monster']['massivemojo'],
     ReagentData['monster']['powerfulmojo'],
     ReagentData['ore']['mithril'],
     ReagentData['ore']['thorium'],
     ReagentData['bar']['iron'],
     ReagentData['bar']['mithril'],
     ReagentData['bar']['thorium'],
     ReagentData['gem']['blackvitriol'],
     ReagentData['gem']['arcanecrystal'],
     ReagentData['gem']['deepperidot'],
     ReagentData['gem']['shadowdraenite'],
     ReagentData['gem']['goldendraenite'],
     ReagentData['gem']['bloodgarnet'],
     ReagentData['gem']['flamespessarite'],
     ReagentData['gem']['azuremoonstone'],
     ReagentData['gem']['earthstormdiamond'],
     ReagentData['gem']['skyfirediamond'],
     ReagentData['dye']['purple'],
     ReagentData['dust']['dream'],
     ReagentData['element']['air'],
     ReagentData['element']['earth'],
     ReagentData['element']['fire'],
     ReagentData['element']['water'],
     ReagentData['element']['heartoffire'],
     ReagentData['element']['ichorofundeath'],
     ReagentData['element']['essenceofair'],
     ReagentData['element']['essenceofearth'],
     ReagentData['element']['essenceoffire'],
     ReagentData['element']['essenceofwater'],
     ReagentData['element']['essenceofundeath'],
     ReagentData['element']['livingessence'],
     ReagentData['element']['heartofthewild'],
     ReagentData['element']['moteoffire'],
     ReagentData['element']['moteofwater'],
     ReagentData['element']['primalair'],
     ReagentData['element']['primalearth'],
     ReagentData['element']['primalfire'],
     ReagentData['element']['primalwater'],
     ReagentData['element']['primalmana'],
     ReagentData['element']['primalshadow'],
     ReagentData['element']['primallife'],
     ReagentData['element']['primalmight'],
     ReagentData['tool']['philosophersstone'],
     ReagentData['other']['bloodofheroes'],
});

-- Reagent Data: Blacksmithing
ReagentData['blacksmithing'] = ReagentData_Flatten({
     ReagentData['bar'],
     ReagentData['stone'],
     ReagentData['grinding'],
     ReagentData['ore']['largeobsidianshard'],
     ReagentData['ore']['smallobsidianshard'],
     ReagentData['flux']['weak'],
     ReagentData['flux']['strong'],
     ReagentData['cloth']['linen'],
     ReagentData['cloth']['wool'],
     ReagentData['cloth']['silk'],
     ReagentData['cloth']['mageweave'],
     ReagentData['cloth']['rune'],
     ReagentData['cloth']['netherweave'],
     ReagentData['leather']['light'],
     ReagentData['leather']['medium'],
     ReagentData['leather']['heavy'],
     ReagentData['leather']['thick'],
     ReagentData['leather']['rugged'],
     ReagentData['leather']['enchanted'],
     ReagentData['leather']['core'],
     ReagentData['leather']['devilsaur'],
     ReagentData['leather']['knothide'],
     ReagentData['leather']['heavyknothide'],
     ReagentData['gem']['malachite'],
     ReagentData['gem']['tigerseye'],
     ReagentData['gem']['shadow'],
     ReagentData['gem']['mossagate'],
     ReagentData['gem']['lessermoonstone'],
     ReagentData['gem']['citrine'],
     ReagentData['gem']['jade'],
     ReagentData['gem']['aquamarine'],
     ReagentData['gem']['starruby'],
     ReagentData['gem']['bluesapphire'],
     ReagentData['gem']['hugeemerald'],
     ReagentData['gem']['largeopal'],
     ReagentData['gem']['azerothiandiamond'],
     ReagentData['gem']['souldarite'],
     ReagentData['gem']['bloodofthemountain'],
     ReagentData['gem']['blackdiamond'],
     ReagentData['pearl']['smalllustrous'],
     ReagentData['pearl']['iridescent'],
     ReagentData['pearl']['black'],
     ReagentData['shard']['nexuscrystal'],
     ReagentData['shard']['largeprismatic'],
     ReagentData['other']['bluepowercrystal'],
     ReagentData['other']['greenpowercrystal'],
     ReagentData['other']['redpowercrystal'],
     ReagentData['other']['yellowpowercrystal'],
     ReagentData['thread']['fine'],
     ReagentData['dye']['green'],
     ReagentData['potion']['swiftness'],
     ReagentData['potion']['elixirofogresstrength'],
     ReagentData['potion']['lesserinvisibility'],
     ReagentData['potion']['flaskofsupremepower'],
     ReagentData['potion']['flaskofthetitans'],
     ReagentData['potion']['elixirofmajoragility'],
     ReagentData['potion']['elixirofmajorstrength'],
     ReagentData['element']['air'],
     ReagentData['element']['earth'],
     ReagentData['element']['fire'],
     ReagentData['element']['water'],
     ReagentData['element']['coreofearth'],
     ReagentData['element']['heartoffire'],
     ReagentData['element']['breathofwind'],
     ReagentData['element']['livingessence'],
     ReagentData['element']['ichorofundeath'],
     ReagentData['element']['essenceofearth'],
     ReagentData['element']['essenceoffire'],
     ReagentData['element']['essenceofwater'],
     ReagentData['element']['essenceofundeath'],
     ReagentData['element']['moteofearth'],
     ReagentData['element']['nethermote'],
     ReagentData['element']['primalair'],
     ReagentData['element']['primalearth'],
     ReagentData['element']['primalfire'],
     ReagentData['element']['primalwater'],
     ReagentData['element']['primallife'],
     ReagentData['element']['primalmana'],
     ReagentData['element']['primalmight'],
     ReagentData['element']['primalnether'],
     ReagentData['element']['primalshadow'],
     ReagentData['element']['nethervortex'],
     ReagentData['oil']['shadow'],
     ReagentData['oil']['frost'],
     ReagentData['herb']['wildvine'],
     ReagentData['herb']['bloodvine'],
     ReagentData['monster']['demonicrune'],
     ReagentData['monster']['powerfulmojo'],
     ReagentData['monster']['largefang'],
     ReagentData['monster']['sharpclaw'],
     ReagentData['monster']['wickedclaw'],
     ReagentData['monster']['righteousorb'],
     ReagentData['monster']['fierycore'],
     ReagentData['monster']['lavacore'],
     ReagentData['monster']['guardianstone'],
     ReagentData['monster']['sulfuroningot'],
     ReagentData['monster']['darkrune'],
     ReagentData['monster']['skinofshadow'],
     ReagentData['monster']['frozenrune'],
     ReagentData['feather']['jetblack'],
     ReagentData['armor']['greenleather'],
     ReagentData['armor']['guardiangloves'],
     ReagentData['armor']['breastplateofkings'],
     ReagentData['armor']['bulwarkofkings'],
     ReagentData['armor']['netherchainshirt'],
     ReagentData['armor']['twistingnetherchainshirt'],
     ReagentData['weapon']['drakefisthammer'],
     ReagentData['weapon']['lionheartblade'],
     ReagentData['weapon']['lunarcrescent'],
     ReagentData['weapon']['fireguard'],
     ReagentData['weapon']['theplanaredge'],
     ReagentData['weapon']['thunder'],
     ReagentData['weapon']['dragonmaw'],
     ReagentData['weapon']['lionheartchampion'],
     ReagentData['weapon']['mooncleaver'],
     ReagentData['weapon']['blazeguard'],
     ReagentData['weapon']['blackplanaredge'],
     ReagentData['weapon']['deepthunder'],
     ReagentData['weapon']['netherblade'],
     ReagentData['dust']['arcane'],
});

-- Reagent Data: Cooking
ReagentData['cooking'] = ReagentData_Flatten({
     ReagentData['monster']['chunkofboarmeat'],
     ReagentData['monster']['stringywolfmeat'],
     ReagentData['monster']['meatybatwing'],
     ReagentData['monster']['smallegg'],
     ReagentData['monster']['smallspiderleg'],
     ReagentData['monster']['scorpidstinger'],
     ReagentData['monster']['cragboarrib'],
     ReagentData['monster']['kodomeat'],
     ReagentData['monster']['bearmeat'],
     ReagentData['monster']['clammeat'],
     ReagentData['monster']['coyotemeat'],
     ReagentData['monster']['goretuskliver'],
     ReagentData['monster']['softfrenzyflesh'],
     ReagentData['monster']['giantclammeat'],
     ReagentData['monster']['stridermeat'],
     ReagentData['monster']['boarintestines'],
     ReagentData['monster']['spiderichor'],
     ReagentData['monster']['stringyvulturemeat'],
     ReagentData['monster']['murloceye'],
     ReagentData['monster']['goretusksnout'],
     ReagentData['monster']['crawlermeat'],
     ReagentData['monster']['crocoliskmeat'],
     ReagentData['monster']['boarribs'],
     ReagentData['monster']['crawlerclaw'],
     ReagentData['monster']['clawmeat'],
     ReagentData['monster']['digrat'],
     ReagentData['monster']['murlocfin'],
     ReagentData['monster']['turtlemeat'],
     ReagentData['monster']['crispspidermeat'],
     ReagentData['monster']['whitespidermeat'],
     ReagentData['monster']['toughcondormeat'],
     ReagentData['monster']['thunderlizardtail'],
     ReagentData['monster']['leanwolfflank'],
     ReagentData['monster']['gooeyspiderleg'],
     ReagentData['monster']['bigbearmeat'],
     ReagentData['monster']['stagmeat'],
     ReagentData['monster']['tendercrocoliskmeat'],
     ReagentData['monster']['tenderwolfmeat'],
     ReagentData['monster']['tangyclammeat'],
     ReagentData['monster']['raptoregg'],
     ReagentData['monster']['lionmeat'],
     ReagentData['monster']['buzzardwing'],
     ReagentData['monster']['raptorflesh'],
     ReagentData['monster']['mysterymeat'],
     ReagentData['monster']['tigermeat'],
     ReagentData['monster']['redwolfmeat'],
     ReagentData['monster']['heavykodomeat'],
     ReagentData['monster']['smallflamesac'],
     ReagentData['monster']['zestyclammeat'],
     ReagentData['monster']['giantegg'],
     ReagentData['monster']['tendercrabmeat'],
     ReagentData['monster']['sandwormmeat'],
     ReagentData['monster']['chimaeroktenderloin'],
     ReagentData['monster']['lynxmeat'],
     ReagentData['monster']['moongrazestagtenderloin'],
     ReagentData['monster']['batflesh'],
     ReagentData['monster']['crunchyspiderleg'],
     ReagentData['monster']['buzzardmeat'],
     ReagentData['monster']['jaggalclammeat'],
     ReagentData['monster']['chunkobasilisk'],
     ReagentData['monster']['ravagerflesh'],
     ReagentData['monster']['talbukvenision'],
     ReagentData['monster']['clefthoofmeat'],
     ReagentData['monster']['warpedflesh'],
     ReagentData['oil']['goblinrocketfuel'],
     ReagentData['salt']['deeprock'],
     ReagentData['cookingfish'],
     ReagentData['spice'],
     ReagentData['drink'],
     ReagentData['food']['shinyredapple'],
     ReagentData['herb']['swifthistle'],
     ReagentData['herb']['goldthorn'],
     ReagentData['vendorother']['simpleflour'],
     ReagentData['other']['strangespores'],
     ReagentData['other']['runntumtuber'],
});

-- Reagent Data: Enchanting
ReagentData['enchanting'] = ReagentData_Flatten({
     ReagentData['rod'],
     ReagentData['dust'],
     ReagentData['essence'],
     ReagentData['shard'],
     ReagentData['vial'],
     ReagentData['wood'],
     ReagentData['bar']['truesilver'],
     ReagentData['bar']['thorium'],
     ReagentData['element']['earth'],
     ReagentData['element']['fire'],
     ReagentData['element']['heartoffire'],
     ReagentData['element']['coreofearth'],
     ReagentData['element']['globeofwater'],
     ReagentData['element']['breathofwind'],
     ReagentData['element']['ichorofundeath'],
     ReagentData['element']['essenceofearth'],
     ReagentData['element']['essenceoffire'],
     ReagentData['element']['essenceofundeath'],
     ReagentData['element']['essenceofwater'],
     ReagentData['element']['livingessence'],
     ReagentData['element']['primalearth'],
     ReagentData['element']['primalair'],
     ReagentData['element']['primalfire'],
     ReagentData['element']['primalwater'],
     ReagentData['element']['primalmana'],
     ReagentData['element']['primalshadow'],
     ReagentData['element']['primallife'],
     ReagentData['element']['primalmight'],
     ReagentData['gem']['blackdiamond'],
     ReagentData['gem']['aquamarine'],
     ReagentData['gem']['bloodofthemountain'],
     ReagentData['gem']['arcanecrystal'],
     ReagentData['herb']['blacklotus'],
     ReagentData['herb']['firebloom'],
     ReagentData['herb']['icecap'],
     ReagentData['herb']['kingsblood'],
     ReagentData['herb']['purplelotus'],
     ReagentData['herb']['sungrass'],
     ReagentData['herb']['wildvine'],
     ReagentData['herb']['wintersbite'],
     ReagentData['herb']['netherbloom'],
     ReagentData['herb']['nightmarevine'],
     ReagentData['leather']['rugged'],
     ReagentData['monster']['largefang'],
     ReagentData['monster']['righteousorb'],
     ReagentData['monster']['larvalacid'],
     ReagentData['monster']['guardianstone'],
     ReagentData['scale']['greenwhelp'],
     ReagentData['oil']['blackmouth'],
     ReagentData['oil']['fire'],
     ReagentData['oil']['frost'],
     ReagentData['ore']['iron'],
     ReagentData['pearl']['black'],
     ReagentData['pearl']['iridescent'],
     ReagentData['pearl']['golden'],
     ReagentData['potion']['elixirofdemonslaying'],
     ReagentData['potion']['majorhealing'],
     ReagentData['potion']['majormana'],
     ReagentData['potion']['shadowprotection'],
     ReagentData['reagent']['stranglethornseed'],
});

-- Reagent Data: Engineering
ReagentData['engineering'] = ReagentData_Flatten({
     ReagentData['bar'],
     ReagentData['stone'],
     ReagentData['powder'],
     ReagentData['part'],
     ReagentData['flux']['weak'],
     ReagentData['cloth']['linen'],
     ReagentData['cloth']['wool'],
     ReagentData['cloth']['silk'],
     ReagentData['cloth']['mageweave'],
     ReagentData['cloth']['rune'],
     ReagentData['cloth']['netherweave'],
     ReagentData['cloth']['spell'],
     ReagentData['bolt']['mageweave'],
     ReagentData['dye']['purple'],
     ReagentData['dye']['blue'],
     ReagentData['dye']['red'],
     ReagentData['dye']['green'],
     ReagentData['gem']['malachite'],
     ReagentData['gem']['tigerseye'],
     ReagentData['gem']['mossagate'],
     ReagentData['gem']['shadow'],
     ReagentData['gem']['lessermoonstone'],
     ReagentData['gem']['jade'],
     ReagentData['gem']['citrine'],
     ReagentData['gem']['aquamarine'],
     ReagentData['gem']['starruby'],
     ReagentData['gem']['bluesapphire'],
     ReagentData['gem']['largeopal'],
     ReagentData['gem']['hugeemerald'],
     ReagentData['gem']['azerothiandiamond'],
     ReagentData['gem']['souldarite'],
     ReagentData['gem']['bloodgarnet'],
     ReagentData['gem']['dawnstone'],
     ReagentData['gem']['deepperidot'],
     ReagentData['gem']['flamespessarite'],
     ReagentData['gem']['goldendraenite'],
     ReagentData['gem']['livingruby'],
     ReagentData['gem']['nightseye'],
     ReagentData['gem']['nobletopaz'],
     ReagentData['gem']['starofelune'],
     ReagentData['gem']['talasite'],
     ReagentData['pearl']['blue'],
     ReagentData['monster']['smallflamesac'],
     ReagentData['vendorother']['nightcrawlers'],
     ReagentData['vendorother']['razorarrow'],
     ReagentData['monster']['flaskofoil'],
     ReagentData['monster']['flaskofmojo'],
     ReagentData['monster']['powerfulmojo'],
     ReagentData['monster']['fierycore'],
     ReagentData['monster']['lavacore'],
     ReagentData['spidersilk']['thick'],
     ReagentData['spidersilk']['shadow'],
     ReagentData['spidersilk']['ironweb'],
     ReagentData['herb']['icecap'],
     ReagentData['herb']['wildvine'],
     ReagentData['herb']['bloodvine'],
     ReagentData['leather']['light'],
     ReagentData['leather']['medium'],
     ReagentData['leather']['heavy'],
     ReagentData['leather']['thick'],
     ReagentData['leather']['rugged'],
     ReagentData['leather']['enchanted'],
     ReagentData['leather']['knothide'],
     ReagentData['leather']['heavyknothide'],
     ReagentData['element']['air'],
     ReagentData['element']['earth'],
     ReagentData['element']['fire'],
     ReagentData['element']['heartoffire'],
     ReagentData['element']['coreofearth'],
     ReagentData['element']['globeofwater'],
     ReagentData['element']['heartofthewild'],
     ReagentData['element']['livingessence'],
     ReagentData['element']['essenceofearth'],
     ReagentData['element']['essenceoffire'],
     ReagentData['element']['essenceofair'],
     ReagentData['element']['essenceofundeath'],
     ReagentData['element']['essenceofwater'],
     ReagentData['element']['ichorofundeath'],
     ReagentData['element']['moteofearth'],
     ReagentData['element']['moteoffire'],
     ReagentData['element']['primalearth'],
     ReagentData['element']['primalair'],
     ReagentData['element']['primalfire'],
     ReagentData['element']['primallife'],
     ReagentData['element']['primalmana'],
     ReagentData['element']['primalnether'],
     ReagentData['element']['primalmight'],
     ReagentData['element']['primalshadow'],
     ReagentData['drink']['refreshingspringwater'],
     ReagentData['oil']['frost'],
     ReagentData['oil']['goblinrocketfuel'],
     ReagentData['salt']['deeprock'],
     ReagentData['potion']['catseyeelixir'],
     ReagentData['potion']['superhealing'],
     ReagentData['potion']['supermana'],
     ReagentData['other']['snowball'],
     ReagentData['armor']['greentintedgoggles'],
     ReagentData['armor']['flyingtigergoggles'],
     ReagentData['armor']['firegoggles'],
     ReagentData['armor']['duskybelt'],
     ReagentData['armor']['blackmageweaveboots'],
     ReagentData['armor']['goblinconstructionhelmet'],
     ReagentData['armor']['spellpowergogglesxtreme'],
     ReagentData['dust']['arcane'],
     ReagentData['shard']['smallprismatic'],
     ReagentData['shard']['largeprismatic'],
     ReagentData['reagent']['arcanepowder'],
});

-- Reagent Data: First Aid
ReagentData['firstaid'] = ReagentData_Flatten({
     ReagentData['cloth']['linen'],
     ReagentData['cloth']['wool'],
     ReagentData['cloth']['silk'],
     ReagentData['cloth']['mageweave'],
     ReagentData['cloth']['rune'],
     ReagentData['cloth']['netherweave'],
     ReagentData['monster']['smallvenomsac'],
     ReagentData['monster']['largevenomsac'],
     ReagentData['monster']['hugevenomsac'],
});

-- Reagent Data: Jewelcrafting
ReagentData['jewelcrafting'] = ReagentData_Flatten({
	 ReagentData['jcpart'],
     ReagentData['stone'],
     ReagentData['bar']['copper'],
     ReagentData['bar']['bronze'],
     ReagentData['bar']['silver'],
     ReagentData['bar']['iron'],
     ReagentData['bar']['gold'],
     ReagentData['bar']['mithril'],
     ReagentData['bar']['truesilver'],
     ReagentData['bar']['thorium'],
     ReagentData['bar']['arcanite'],
     ReagentData['bar']['darkiron'],
     ReagentData['bar']['feliron'],
     ReagentData['bar']['adamantite'],
     ReagentData['bar']['felsteel'],
     ReagentData['bar']['khorium'],
     ReagentData['bar']['eternium'],
     ReagentData['bar']['hardenedadamantite'],
     ReagentData['dust']['soul'],
     ReagentData['dust']['vision'],
     ReagentData['element']['earth'],
     ReagentData['element']['water'],
     ReagentData['element']['coreofearth'],
     ReagentData['element']['breathofwind'],
     ReagentData['element']['heartoffire'],
     ReagentData['element']['globeofwater'],
     ReagentData['element']['heartofthewild'],
     ReagentData['element']['essenceofearth'],
     ReagentData['element']['essenceofair'],
     ReagentData['element']['essenceoffire'],
     ReagentData['element']['essenceofwater'],
     ReagentData['element']['livingessence'],
     ReagentData['element']['essenceofundeath'],
     ReagentData['element']['primalearth'],
     ReagentData['element']['primalfire'],
     ReagentData['element']['primalwater'],
     ReagentData['element']['primallife'],
     ReagentData['element']['primalshadow'],
     ReagentData['element']['primalmana'],
     ReagentData['gem']['malachite'],
     ReagentData['gem']['shadow'],
     ReagentData['gem']['lessermoonstone'],
     ReagentData['gem']['mossagate'],
     ReagentData['gem']['jade'],
     ReagentData['gem']['citrine'],
     ReagentData['gem']['aquamarine'],
     ReagentData['gem']['starruby'],
     ReagentData['gem']['largeopal'],
     ReagentData['gem']['hugeemerald'],
     ReagentData['gem']['bluesapphire'],
     ReagentData['gem']['azerothiandiamond'],
     ReagentData['gem']['blackdiamond'],
     ReagentData['gem']['pristineblackdiamond'],
     ReagentData['gem']['bloodofthemountain'],
     ReagentData['gem']['bloodgarnet'],
     ReagentData['gem']['flamespessarite'],
     ReagentData['gem']['deepperidot'],
     ReagentData['gem']['shadowdraenite'],
     ReagentData['gem']['goldendraenite'],
     ReagentData['gem']['azuremoonstone'],
     ReagentData['gem']['livingruby'],
     ReagentData['gem']['dawnstone'],
     ReagentData['gem']['nightseye'],
     ReagentData['gem']['nobletopaz'],
     ReagentData['gem']['talasite'],
     ReagentData['gem']['starofelune'],
     ReagentData['gem']['earthstormdiamond'],
     ReagentData['gem']['skyfirediamond'],
     ReagentData['monster']['demonicrune'],
     ReagentData['monster']['flaskofbigmojo'],
     ReagentData['monster']['flaskofmojo'],
     ReagentData['monster']['largefang'],
     ReagentData['monster']['powerfulmojo'],
--     ReagentData['ore']['copper'],
--     ReagentData['ore']['tin'],
--     ReagentData['ore']['iron'],
--     ReagentData['ore']['mithril'],
--     ReagentData['ore']['thorium'],
--     ReagentData['ore']['feliron'],
--     ReagentData['ore']['adamantite'],
     ReagentData['other']['bloodofheroes'],
     ReagentData['other']['adamantitepowder'],
     ReagentData['pearl']['smalllustrous'],
     ReagentData['pearl']['black'],
     ReagentData['potion']['elixirofogresstrength'],
     ReagentData['potion']['greatermana'],
     ReagentData['potion']['mana'],
     ReagentData['shard']['largeradiant'],
});

-- Reagent Data: Leatherworking
ReagentData['leatherworking'] = ReagentData_Flatten({
     ReagentData['leather'],
     ReagentData['hide'],
     ReagentData['scale'],
     ReagentData['salt'],
     ReagentData['thread'],
     ReagentData['dye']['bleach'],
     ReagentData['dye']['gray'],
     ReagentData['dye']['green'],
     ReagentData['dye']['black'],
     ReagentData['potion']['elixirofminoragility'],
     ReagentData['potion']['elixirofdefense'],
     ReagentData['potion']['elixirofwisdom'],
     ReagentData['potion']['elixiroflesseragility'],
     ReagentData['potion']['swiftness'],
     ReagentData['potion']['greatrage'],
     ReagentData['potion']['elixirofgreaterdefense'],
     ReagentData['potion']['elixirofagility'],
     ReagentData['oil']['shadow'],
     ReagentData['cloth']['fel'],
     ReagentData['cloth']['mageweave'],
     ReagentData['cloth']['moon'],
     ReagentData['cloth']['rune'],
     ReagentData['bolt']['wool'],
     ReagentData['bolt']['silk'],
     ReagentData['bolt']['rune'],
     ReagentData['monster']['slimymurlocscale'],
     ReagentData['monster']['thickmurlocscale'],
     ReagentData['monster']['flaskofmojo'],
     ReagentData['monster']['flaskofbigmojo'],
     ReagentData['monster']['powerfulmojo'],
     ReagentData['monster']['largefang'],
     ReagentData['monster']['coarsegorillahair'],
     ReagentData['monster']['wickedclaw'],
     ReagentData['monster']['luckycharm'],
     ReagentData['monster']['brilliantchromaticscale'],
     ReagentData['monster']['fierycore'],
     ReagentData['monster']['lavacore'],
     ReagentData['monster']['guardianstone'],
     ReagentData['monster']['larvalacid'],
     ReagentData['monster']['skinofshadow'],
     ReagentData['monster']['ogretannin'],
     ReagentData['monster']['scaleofonyxia'],
     ReagentData['monster']['righteousorb'],
     ReagentData['monster']['dreamscale'],
     ReagentData['monster']['silithidchitin'],
     ReagentData['monster']['heavysilithidcarapace'],
     ReagentData['monster']['lightsilithidcarapace'],
     ReagentData['monster']['frozenrune'],
     ReagentData['feather']['longtail'],
     ReagentData['feather']['iron'],
     ReagentData['feather']['jetblack'],
     ReagentData['spidersilk']['silk'],
     ReagentData['spidersilk']['thick'],
     ReagentData['spidersilk']['ironweb'],
     ReagentData['pearl']['smalllustrous'],
     ReagentData['pearl']['iridescent'],
     ReagentData['pearl']['black'],
     ReagentData['gem']['shadow'],
     ReagentData['gem']['jade'],
     ReagentData['gem']['citrine'],
     ReagentData['gem']['mossagate'],
     ReagentData['gem']['blackdiamond'],
     ReagentData['herb']['kingsblood'],
     ReagentData['herb']['wildvine'],
     ReagentData['herb']['bloodvine'],
     ReagentData['element']['earth'],
     ReagentData['element']['water'],
     ReagentData['element']['globeofwater'],
     ReagentData['element']['coreofearth'],
     ReagentData['element']['heartoffire'],
     ReagentData['element']['livingessence'],
     ReagentData['element']['essenceoffire'],
     ReagentData['element']['essenceofwater'],
     ReagentData['element']['essenceofair'],
     ReagentData['element']['essenceofearth'],
     ReagentData['element']['primalearth'],
     ReagentData['element']['primalair'],
     ReagentData['element']['primalfire'],
     ReagentData['element']['primalwater'],
     ReagentData['element']['primallife'],
     ReagentData['element']['primalmana'],
     ReagentData['element']['primalmight'],
     ReagentData['element']['primalshadow'],
     ReagentData['element']['primalnether'],
     ReagentData['dust']['arcane'],
     ReagentData['shard']['smallprismatic'],
     ReagentData['armor']['ironbuckle'],
     ReagentData['armor']['fineleathertunic'],
     ReagentData['armor']['fineleatherbelt'],
     ReagentData['armor']['fineleathergloves'],
     ReagentData['armor']['cinderclothcloak'],
});

-- Reagent Data: Tailoring
ReagentData['tailoring'] = ReagentData_Flatten({
     ReagentData['cloth'],
     ReagentData['bolt'],
     ReagentData['thread'],
     ReagentData['dye'],
     ReagentData['spidersilk'],
     ReagentData['leather']['light'],
     ReagentData['leather']['medium'],
     ReagentData['leather']['heavy'],
     ReagentData['leather']['thick'],
     ReagentData['leather']['rugged'],
     ReagentData['leather']['enchanted'],
     ReagentData['leather']['core'],
     ReagentData['leather']['knothide'],
     ReagentData['pearl']['smalllustrous'],
     ReagentData['pearl']['iridescent'],
     ReagentData['pearl']['black'],
     ReagentData['pearl']['golden'],
     ReagentData['gem']['citrine'],
     ReagentData['gem']['jade'],
     ReagentData['gem']['starruby'],
     ReagentData['gem']['hugeemerald'],
     ReagentData['gem']['azerothiandiamond'],
     ReagentData['herb']['wildvine'],
     ReagentData['herb']['bloodvine'],
     ReagentData['herb']['purplelotus'],
     ReagentData['herb']['morrowgrain'],
     ReagentData['potion']['elixirofwisdom'],
     ReagentData['potion']['shadowprotection'],
     ReagentData['potion']['healing'],
     ReagentData['potion']['mana'],
     ReagentData['oil']['shadow'],
     ReagentData['oil']['fire'],
     ReagentData['oil']['frost'],
     ReagentData['bar']['arcanite'],
     ReagentData['bar']['gold'],
     ReagentData['bar']['truesilver'],
     ReagentData['monster']['nagascale'],
     ReagentData['monster']['demonicrune'],
     ReagentData['monster']['fierycore'],
     ReagentData['monster']['lavacore'],
     ReagentData['monster']['guardianstone'],
     ReagentData['monster']['ogretannin'],
     ReagentData['monster']['righteousorb'],
     ReagentData['monster']['darkrune'],
     ReagentData['monster']['frozenrune'],
     ReagentData['feather']['longelegant'],
     ReagentData['dust']['dream'],
     ReagentData['dust']['vision'],
     ReagentData['dust']['arcane'],
     ReagentData['essence']['greatereternal'],
     ReagentData['essence']['greaterplanar'],
     ReagentData['essence']['soul'],
     ReagentData['element']['earth'],
     ReagentData['element']['water'],
     ReagentData['element']['fire'],
     ReagentData['element']['air'],
     ReagentData['element']['globeofwater'],
     ReagentData['element']['heartoffire'],
     ReagentData['element']['heartofthewild'],
     ReagentData['element']['essenceofearth'],
     ReagentData['element']['essenceofwater'],
     ReagentData['element']['essenceoffire'],
     ReagentData['element']['essenceofair'],
     ReagentData['element']['essenceofundeath'],
     ReagentData['element']['livingessence'],
     ReagentData['element']['primalearth'],
     ReagentData['element']['primalair'],
     ReagentData['element']['primalfire'],
     ReagentData['element']['primalwater'],
     ReagentData['element']['primalshadow'],
     ReagentData['element']['primallife'],
     ReagentData['element']['primalmana'],
     ReagentData['element']['primalnether'],
     ReagentData['element']['primalmight'],
     ReagentData['shard']['largebrilliant'],
     ReagentData['armor']['ironbuckle'],
});

-------------------
-- Gather Skills --
-------------------

-- Reagent Data: Fishing
ReagentData['fishing'] = ReagentData_Flatten({
     ReagentData['alchemyfish'],
     ReagentData['cookingfish'],
});

-- Reagent Data: Herbalism
ReagentData['herbalism'] = ReagentData['herb'];

-- Reagent Data: Mining
ReagentData['mining'] = ReagentData_Flatten({
     ReagentData['ore'],
     ReagentData['stone'],
     ReagentData['gem'],
     ReagentData['element']['primalearth'],
     ReagentData['element']['primalfire'],
});

-- Reagent Data: Skinning
ReagentData['skinning'] = ReagentData_Flatten({
     ReagentData['leather'],
     ReagentData['scale'],
     ReagentData['hide']['light'],
     ReagentData['hide']['medium'],
     ReagentData['hide']['heavy'],
     ReagentData['hide']['thick'],
     ReagentData['hide']['rugged'],
     ReagentData['hide']['raptor'],
     ReagentData['hide']['shadowcat'],
     ReagentData['hide']['thickwolf'],
     ReagentData['hide']['fel'],
});

-----------------------
-- Other Item Groups --
-----------------------

-- Reagent Data: Rogue Poison Reagents
ReagentData['poisonreagent'] = ReagentData_Flatten({
     ReagentData['vial'],
     ReagentData['poisoningredient'],
     ReagentData['herb']['fadeleaf'],
});

-- Reagent Data: Vendor Item Groups
ReagentData['vendor'] = ReagentData_Flatten({
     ReagentData['drink'],
     ReagentData['dye'],
     ReagentData['flux'],
     ReagentData['food'],
     ReagentData['poisoningredient'],
     ReagentData['salt'],
     ReagentData['spice'],
     ReagentData['thread'],
     ReagentData['vendorother'],
     ReagentData['vial'],
     ReagentData['wood'],
     ReagentData['part']['heavystock'],
     ReagentData['part']['blankparchment'],
     ReagentData['part']['engineersink'],
});

-- Reagent Data: Monster Drops
ReagentData['monsterdrops'] = ReagentData_Flatten({
     ReagentData['monster'],
     ReagentData['feather'],
     ReagentData['spidersilk'],
     ReagentData['pearl'],
     ReagentData['scale'],
});

-- Reagent Data: Spell Reagents
ReagentData['spellreagents'] = {
    [ReagentData["classes"]["druid"]] = {
        ReagentData['reagent']['mapleseed'],
        ReagentData['reagent']['stranglethornseed'],
        ReagentData['reagent']['ashwoodseed'],
        ReagentData['reagent']['hornbeamseed'],
        ReagentData['reagent']['ironwoodseed'],
        ReagentData['reagent']['flintweedseed'],
        ReagentData['reagent']['quillvine'],
        ReagentData['reagent']['wildberries'],
        ReagentData['reagent']['wildthornroot'],
    };
    [ReagentData["classes"]["mage"]] = {
        ReagentData['reagent']['lightfeather'],
        ReagentData['reagent']['runeofteleportation'],
        ReagentData['reagent']['runeofportals'],
        ReagentData['reagent']['arcanepowder'],
    };
    [ReagentData["classes"]["paladin"]] = {
        ReagentData['reagent']['symbolofdivinity'],
        ReagentData['reagent']['symbolofkings'],
    };
    [ReagentData["classes"]["priest"]] = {
        ReagentData['reagent']['lightfeather'],
        ReagentData['reagent']['holycandle'],
        ReagentData['reagent']['sacredcandle'],
    };
    [ReagentData["classes"]["rogue"]] = {
        ReagentData['reagent']['flashpowder'],
        ReagentData['reagent']['blindingpowder'],
    };
    [ReagentData["classes"]["shaman"]] = {
        ReagentData['reagent']['shinyfishscales'],
        ReagentData['reagent']['fishoil'],
        ReagentData['reagent']['ankh'],
    };
    [ReagentData["classes"]["warlock"]] = {
        ReagentData['reagent']['infernalstone'],
        ReagentData['reagent']['demonicfigurine'],
        ReagentData['reagent']['soulshard'],
    };
};
