function ReagentData_LoadMining()
ReagentData['crafted']['mining'] = {
    ['Smelt Copper'] = {
        skill = 1,
        description = ReagentData['bar']['copper'],
        source = 'Trainer',
        reagents = {
            [ReagentData['ore']['copper']] = 1,
        }
    },
    ['Smelt Bronze'] = {
        skill = 65,
        description = ReagentData['bar']['bronze'],
        source = 'Trainer',
        result = 2,
        reagents = {
            [ReagentData['bar']['tin']] = 1,
            [ReagentData['bar']['copper']] = 1,
        }
    },
    ['Smelt Tin'] = {
        skill = 65,
        description = ReagentData['bar']['tin'],
        source = 'Trainer',
        reagents = {
            [ReagentData['ore']['tin']] = 1,
        }
    },
    ['Smelt Silver'] = {
        skill = 75,
        description = ReagentData['bar']['silver'],
        source = 'Trainer',
        resultrarity = 'Uncommon',
        reagents = {
            [ReagentData['ore']['silver']] = 1,
        }
    },
    ['Smelt Iron'] = {
        skill = 125,
        description = ReagentData['bar']['iron'],
        source = 'Trainer',
        reagents = {
            [ReagentData['ore']['iron']] = 1,
        }
    },
    ['Smelt Gold'] = {
        skill = 155,
        description = ReagentData['bar']['gold'],
        source = 'Trainer',
        resultrarity = 'Uncommon',
        reagents = {
            [ReagentData['ore']['gold']] = 1,
        }
    },
    ['Smelt Steel'] = {
        skill = 165,
        description = ReagentData['bar']['steel'],
        source = 'Trainer',
        reagents = {
            [ReagentData['bar']['iron']] = 1,
            [ReagentData['vendorother']['coal']] = 1,
        }
    },
    ['Smelt Mithril'] = {
        skill = 175,
        description = ReagentData['bar']['mithril'],
        source = 'Trainer',
        reagents = {
            [ReagentData['ore']['mithril']] = 1,
        }
    },
    ['Smelt Dark Iron'] = {
        skill = 230,
        description = ReagentData['bar']['darkiron'],
        source = 'Trainer',
        tools = {
        	[ReagentData['tool']['blackforge']] = 1,
        },
        reagents = {
            [ReagentData['ore']['darkiron']] = 8,
        }
    },
    ['Smelt Truesilver'] = {
        skill = 230,
        description = ReagentData['bar']['truesilver'],
        source = 'Trainer',
        resultrarity = 'Uncommon',
        reagents = {
            [ReagentData['ore']['truesilver']] = 1,
        }
    },
    ['Smelt Thorium'] = {
        skill = 250,
        description = ReagentData['bar']['thorium'],
        source = 'Trainer',
        reagents = {
            [ReagentData['ore']['thorium']] = 1,
        }
    },
    ['Smelt Elementium'] = {
        skill = 300,
        description = ReagentData['bar']['elementium'],
        source = 'Quest',
        reagents = {
            [ReagentData['ore']['elementium']] = 1,
			[ReagentData['bar']['arcanite']] = 10,
			[ReagentData['monster']['fierycore']] = 1,
			[ReagentData['flux']['elemental']] = 3,
        }
    },
    ['Earth Shatter'] = {
    	skill = 300,
    	description = ReagentData['element']['primalearth'],
    	source = 'Trainer',
    	reagents = {
    		[ReagentData['element']['moteofearth']] = 10,
    	},
    },
    ['Fire Sunder'] = {
    	skill = 300,
    	description = ReagentData['element']['primalfire'],
    	source = 'Trainer',
    	reagents = {
    		[ReagentData['element']['moteoffire']] = 10,
    	},
    },
    ['Smelt Fel Iron'] = {
        skill = 305,
        description = ReagentData['bar']['feliron'],
        source = 'Trainer',
        reagents = {
            [ReagentData['ore']['feliron']] = 2,
        }
    },
    ['Smelt Adamantite'] = {
        skill = 325,
        description = ReagentData['bar']['adamantite'],
        source = 'Trainer',
        reagents = {
            [ReagentData['ore']['adamantite']] = 2,
        }
    },
    ['Smelt Eternium'] = {
        skill = 350,
        description = ReagentData['bar']['eternium'],
        source = 'Trainer',
        resultrarity = 'Uncommon',
        reagents = {
            [ReagentData['ore']['eternium']] = 2,
        }
    },
    ['Smelt Felsteel'] = {
        skill = 350,
        description = ReagentData['bar']['felsteel'],
        source = 'Trainer',
        reagents = {
            [ReagentData['bar']['feliron']] = 5,
            [ReagentData['bar']['eternium']] = 2,
        }
    },
    ['Smelt Khorium'] = {
        skill = 365,
        description = ReagentData['bar']['khorium'],
        source = 'Trainer',
        resultrarity = 'Uncommon',
        reagents = {
            [ReagentData['ore']['khorium']] = 2,
        }
    },
    ['Smelt Hardened Adamantite'] = {
        skill = 375,
        description = ReagentData['bar']['hardenedadamantite'],
        source = 'Trainer',
        reagents = {
            [ReagentData['bar']['adamantite']] = 10,
        }
    },
}
end
